Subject: Re: BUG: git-gui no longer executes hook scripts

From: Junio C Hamano <[email-masked]>
Date: Fri, 15 Sep 2023 21:45:36 -0700

Mark Levedahl <[email-masked]> writes:

> I think a simpler fix is just to examine the number of path components
> - more than one means a relative or absolute command (/foo splits into
> two parts). The below works for me on Linux.

That is clever, but I cannot convince myself that it is not too
clever for its own sake.  The "pathtype" thing Dscho used in his
original is documented to be aware of things like "C:\path\name",
but I didn't re-read the Tcl manual page too carefully to know what
"file split" does for such pathname to be certain.